Bug 1801116 - Please provide support for reading temperatures of NVME drives (patch attached).
Summary: Please provide support for reading temperatures of NVME drives (patch attached).
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hddtemp
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-10 10:09 UTC by Constantine Gavrilov
Modified: 2020-08-31 16:00 UTC (History)
4 users (show)

Fixed In Version: hddtemp-0.3-0.46.beta15.fc32 hddtemp-0.3-0.46.beta15.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-24 01:13:12 UTC
Type: Bug


Attachments (Terms of Use)
Patch that adds NVMe Drives Support (13.70 KB, patch)
2020-02-10 10:09 UTC, Constantine Gavrilov
no flags Details | Diff

Description Constantine Gavrilov 2020-02-10 10:09:18 UTC
Created attachment 1662111 [details]
Patch that adds NVMe Drives Support

Description of problem: HDDTEMP cannot read temperature of MVME drives.


All versions are affected.

How reproducible: always (missing support)


Steps to Reproduce:
1. Try to read temperature of NVME drive



Actual results:
1. Error is reported (only SATA or SCSI drives supported).

Expected results:
1. A temperature report would be appreciated, many GUI sensor frontends depend on HDDTEMP.


Additional info:
I have crated a patch that adds NVME drives support to HDDTEMP.

Comment 1 Gene Snider 2020-04-10 21:08:46 UTC
Please incorporate this patch into Fedora hddtemp, it should be useful to Red Hat as well.  I'm sure there are server farms out there that are monitored by hddtemp.

Regards,
Gene

Comment 2 Dominik 'Rathann' Mierzejewski 2020-04-10 21:20:43 UTC
Thanks for your interest, I'll bump this higher on my TODO list.

Comment 3 Fedora Update System 2020-08-22 23:09:34 UTC
FEDORA-2020-cad2321c3e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cad2321c3e

Comment 4 Fedora Update System 2020-08-22 23:09:36 UTC
FEDORA-2020-cae1cf62f0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cae1cf62f0

Comment 5 Fedora Update System 2020-08-23 01:09:58 UTC
FEDORA-2020-cae1cf62f0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cae1cf62f0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cae1cf62f0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-23 02:09:16 UTC
FEDORA-2020-cad2321c3e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cad2321c3e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cad2321c3e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-24 01:13:12 UTC
FEDORA-2020-cae1cf62f0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-31 16:00:18 UTC
FEDORA-2020-cad2321c3e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.